750877
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
750877
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
750877
Date: Mon, 21 Feb 2022 14:58:40 -0500
750877
Subject: [PATCH] helpers.bash: Use correct syntax
750877
750877
Fixes gating test failure:
750877
```
750877
 /usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
750877
 ```
750877
750877
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
750877
750877
I'm just the committer.
750877
750877
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
750877
---
750877
 tests/helpers.bash | 8 ++++----
750877
 1 file changed, 4 insertions(+), 4 deletions(-)
750877
750877
diff --git a/tests/helpers.bash b/tests/helpers.bash
750877
index bd2794c974..3e72108bec 100644
750877
--- a/tests/helpers.bash
750877
+++ b/tests/helpers.bash
750877
@@ -433,9 +433,9 @@ function skip_if_rootless() {
750877
 ##################################
750877
 function skip_if_rootless_and_cgroupv1() {
750877
     if test "$BUILDAH_ISOLATION" = "rootless"; then
750877
-	if !is_cgroupsv2; then
750877
-		skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
750877
-	fi
750877
+        if ! is_cgroupsv2; then
750877
+            skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
750877
+        fi
750877
     fi
750877
 }
750877
 
750877
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
750877
 #  skip_if_cgroupsv1  #  Some tests don't work with cgroupsv1
750877
 #######################
750877
 function skip_if_cgroupsv1() {
750877
-    if !is_cgroupsv2; then
750877
+    if ! is_cgroupsv2; then
750877
         skip "${1:-test does not work with cgroups v1}"
750877
     fi
750877
 }